## kdesudo 3.4.2.3

=== doc/CMakeLists.txt ===
MACRO (GENBOOK _language_code)
    kde4_create_handbook(index.docbook
        INSTALL_DESTINATION ${HTML_INSTALL_DIR}/${_language_code} SUBDIR kdesudo)
    ADD_DEPENDENCIES(doc ${_language_code}-handbook)

ENDMACRO (GENBOOK)

ADD_CUSTOM_TARGET(doc ALL)

ADD_SUBDIRECTORY(en)
INSTALL(SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/makelink.cmake)

ADD_SUBDIRECTORY(man)

=== kdesudo/CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(CheckIncludeFiles)
include(CheckFunctionExists)

#  set(kt4_SRC app.cpp mainwindow.cpp core.cpp view.cpp viewmodel.cpp main.cpp)
set(KDESUDO_SRC
	main.cpp
	kdesudo.cpp
	kcookie.cpp
)

kde4_add_executable(kdesudo ${KDESUDO_SRC})

target_link_libraries(kdesudo ${KDE4_KDEUI_LIBS})
install(TARGETS kdesudo DESTINATION ${BIN_INSTALL_DIR})

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)

macro_optional_add_subdirectory( ar )
macro_optional_add_subdirectory( cs )
macro_optional_add_subdirectory( da )
macro_optional_add_subdirectory( de )
macro_optional_add_subdirectory( el )
macro_optional_add_subdirectory( en_GB )
macro_optional_add_subdirectory( es )
macro_optional_add_subdirectory( et )
macro_optional_add_subdirectory( fa )
macro_optional_add_subdirectory( fi )
macro_optional_add_subdirectory( fr )
macro_optional_add_subdirectory( gl )
macro_optional_add_subdirectory( he )
macro_optional_add_subdirectory( hr )
macro_optional_add_subdirectory( hu )
macro_optional_add_subdirectory( id )
macro_optional_add_subdirectory( is )
macro_optional_add_subdirectory( it )
macro_optional_add_subdirectory( ja )
macro_optional_add_subdirectory( jv )
macro_optional_add_subdirectory( kk )
macro_optional_add_subdirectory( ko )
macro_optional_add_subdirectory( lt )
macro_optional_add_subdirectory( lv )
macro_optional_add_subdirectory( ms )
macro_optional_add_subdirectory( nb )
macro_optional_add_subdirectory( nl )
macro_optional_add_subdirectory( oc )
macro_optional_add_subdirectory( pl )
macro_optional_add_subdirectory( pt )
macro_optional_add_subdirectory( pt_BR )
macro_optional_add_subdirectory( ro )
macro_optional_add_subdirectory( ru )
macro_optional_add_subdirectory( sk )
macro_optional_add_subdirectory( sv )
macro_optional_add_subdirectory( tl )
macro_optional_add_subdirectory( tr )
macro_optional_add_subdirectory( uk )
macro_optional_add_subdirectory( zh_CN )
macro_optional_add_subdirectory( zh_TW )

=== doc/en/CMakeLists.txt ===
GENBOOK(en)

=== po/fi/CMakeLists.txt ===
set(CURRENT_LANG fi )

macro_optional_add_subdirectory( messages )

=== po/gl/CMakeLists.txt ===
set(CURRENT_LANG gl )

macro_optional_add_subdirectory( messages )

=== po/it/CMakeLists.txt ===
set(CURRENT_LANG it )

macro_optional_add_subdirectory( messages )

=== po/jv/CMakeLists.txt ===
set(CURRENT_LANG jv )

macro_optional_add_subdirectory( messages )

=== po/kk/CMakeLists.txt ===
set(CURRENT_LANG kk )

macro_optional_add_subdirectory( messages )

=== po/lv/CMakeLists.txt ===
set(CURRENT_LANG lv )

macro_optional_add_subdirectory( messages )

=== po/ms/CMakeLists.txt ===
set(CURRENT_LANG ms )

macro_optional_add_subdirectory( messages )

=== po/nl/CMakeLists.txt ===
set(CURRENT_LANG nl )

macro_optional_add_subdirectory( messages )

=== debian/changelog ===
kdesudo (3.4.2.3-2ubuntu2) maverick; urgency=low

  * Added patch to drop the docs:
    - Docs are deprecated and cause ftbfs
    - Manpage should be considered sufficient for this tiny app

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 22 Jul 2010 14:42:10 +0200

kdesudo (3.4.2.3-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use update-alternatives instead of dpkg-divert to override kdesu.
    - Remove debconf support.
    - Use kde debhelper addon instead of cdbs.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 20:31:06 +0200

kdesudo (3.4.2.3-2) unstable; urgency=low

  * Portuguese translations
    - Update the debconf po translation. Thanks to Américo Monteiro for the
      report and patch! (Closes: #568146).
    - Add po_pt_update.patch to really Closes: #567653, wrongly fixed in last
      upload.
  * Switch to 3.0 (quilt) source format.

 -- Didier Raboud <didier@raboud.com>  Wed, 03 Feb 2010 18:40:55 +0100

kdesudo (3.4.2.3-1) unstable; urgency=low

  * New upstream release.
    - Add --desktop cmd line option to manually specify the desktop file used
      for resolving name and icon
    - Fixes LP: #422919 set bugAddress to lp (suggested by Dario Andres)
  * Update the Portuguese translation. Thanks to Américo Monteiro for the
    report and patch! (Closes: #567653)
  * Update Standards to 3.8.4 without changes needed.

 -- Didier Raboud <didier@raboud.com>  Mon, 01 Feb 2010 18:04:04 +0100

kdesudo (3.4.2.3-0ubuntu1) lucid; urgency=low

  * Add --desktop cmd line option to manually specify the desktop file used for
    resolving name and icon

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 27 Oct 2009 09:51:46 +0100

kdesudo (3.4.2.2-0ubuntu1) karmic; urgency=low

  [ Florian Reinhard ]
  * New upstream release
    - Closes LP: #422919 set bugAddress to lp

  [ Harald Sitter ]
  * Drop phony dpkg-divert
  * Introduce update-alternatives for kdesu vs. kdesudo  (LP: #345776)
  * kdesudo pre-depends -runtime while -runtime conflicts and breaks kdesudo,
    this causes an intermediate removal of kdesudo until -runtime is fully
    configured, in addition to that -runtime will remove the kdesu diversion.
    All in all those 2 features should prevent any issue.
  * Replace CDBS' kde4.mk with kde.mk from pkg-kde-tools

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 15 Sep 2009 08:25:45 +0200

kdesudo (3.4.2.1-1ubuntu1) karmic; urgency=low

  * New upstream release.
  * Merge Debian packaging stuff:
    - Merge debian/changelog entries.
    - Bump Standards to 3.8.2.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Aug 2009 14:22:44 +0200

kdesudo (3.4.2.1-1) unstable; urgency=high

  * New upstream release.
    - Closes: #525292 way better: Use QProcess built-in pipes and get rid of the
      hackish shell.
    - Urgency high for re-fixing an RC bug.

 -- Didier Raboud <didier@raboud.com>  Tue, 04 Aug 2009 12:42:58 +0200

kdesudo (3.4.2-1) unstable; urgency=high

  * New upstream release.
    - Avoids using the now disabled SECURITY X extension (Closes: #525292),
      thanks to upstream inclusion of a Debian proposed patch.
    - Set high urgency for fixing an RC bug.
  * Bump Standards to 3.8.2.

 -- Didier Raboud <didier@raboud.com>  Mon, 03 Aug 2009 14:19:32 +0200

kdesudo (3.4.2-0ubuntu1) karmic; urgency=low

  [ Anthony Mercatante ]
  * New upstream release:
    - Closes LP: #281877
    - Closes LP: #258799
    - Closes Debian #525292

  [ Florian Reinhard ]
  * Closes LP: #285084

 -- Florian Reinhard <florian.reinhard@googlemail.com>  Thu, 25 Jun 2009 23:02:47 +0200

kdesudo (3.4.1-1) unstable; urgency=low

  * New upstream release for KDE 4 (Closes: #505858)
  * debian/rules
    - Rewrite from scratch using cdbs.
    - Write get-orig-source and print-version
  * debian/watch Add
  * debian/copyright
    - Add copyright holder of kdesudo/kcookie.cpp.
    - Update copyright paths (do not point to symlinks to satisfy pedantic
      lintian).
  * debian/control
    - Add Vcs-* fields.
    - Adapt Build-Depends to new upstream (migration to KDE 4, get rid of
      automake, autoconf and libtool, but gain cmake).
  * debian/{postrm,postinst}
    - Update to new location of kdesu in KDE 4.
  * debian/preinst
    - Add to manage update from KDE 3.
  * Manpage and translations (from Ubuntu/Launchpad/Rosetta) are now in the
    orig tarball. This was made on request by upstream (Anthony Mercantate).
    Many thanks!
  * Add two lintian overrides for diversion-for-unknown-file.
    The diversion is done on purpose and conditionally.

  * Acknowledge NMU. Thanks Christian !
  * Fix "[INTL:ja] please add Japanese po-debconf template translation
    (ja.po)", thanks to Hideki Yamane (Closes: #510713)
  * Bump Standards to 3.8.1. No other changes needed.

 -- Didier Raboud <didier@raboud.com>  Thu, 16 Apr 2009 13:54:47 +0200

kdesudo (3.4.1-0ubuntu1) jaunty; urgency=low

  * New upstream release:
    - Closes LP: #351238
    - Closes LP: #312569

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 08 Apr 2009 23:06:38 +0200

kdesudo (3.4-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Closes LP: #333203

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 27 Feb 2009 23:16:52 +0100

kdesudo (3.3.2-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Removed kdesudo-kde4 transitional package properly:
    - kdesudo conflicts kdesudo-kde4
    - kdesudo replaces kdesudo-kde4
    - Fixed preinst and postrm scripts 
  * Manpage is now in the tarball so:
    - Deleted debian/kdesudo.docbook
    - Removed docbook2x build-dep
    - Removed manpages stuff in debian/rules

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 27 Feb 2009 15:12:33 +0100

kdesudo (3.3.1-0ubuntu3) jaunty; urgency=low

  * Switch back to previous upload, waiting for the milstone release to
    come out for fixing the transitional package removal issues.

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 25 Feb 2009 09:51:59 +0100



=== debian/control ===
Source: kdesudo
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>> 7), pkg-kde-tools (>= 0.5.0), kdelibs5-dev, cmake
Standards-Version: 3.8.4
Homepage: https://launchpad.net/kdesudo
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kdesudo/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kdesudo/?op=log

Package: kdesudo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sudo
Description: sudo frontend for KDE
 KdeSudo is a graphical frontend for the sudo utility, which allows
 users to run programs as root (or another user) by giving their own
 password.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

get-orig-source::
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --repack --destdir ../tarballs

print-version:
	@@echo DEB_SOURCE_PACKAGE: $(DEB_SOURCE_PACKAGE)
	@@echo DEB_VERSION: $(DEB_VERSION)
	@@echo DEB_NO_EPOCH_VERSION: $(DEB_NOEPOCH_VERSION)
	@@echo DEB_UPSTREAM_VERSION: $(DEB_UPSTREAM_VERSION)

## kdesudo 3.4.2.4

=== debian/changelog ===
kdesudo (3.4.2.4-2) unstable; urgency=low

  [ David Prévot ]
  * debian/po/es.po: Fix charset (Closes: #691952)

  [ Mahyuddin Susanto ]
  * Add Indonesian debconf templates translation. (Closes: #658788)

  [ Didier Raboud ]
  * Run debconf-updatepo.

 -- Didier Raboud <odyx@debian.org>  Thu, 01 Nov 2012 11:22:05 +0100

kdesudo (3.4.2.4-1) unstable; urgency=low

  * New 3.4.2.4 upstream release
    - Drop obsolete docs (Closes: #628326).
    - Drop all patches, all incorporated upstream.

  * Move packaging repository from Svn to Git:
    - Update Vcs-* fields.
  * Change my address to @d.o.
  * Bump Standards-Version to 3.9.2 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Sat, 28 May 2011 17:41:38 +0200

=== debian/control ===
Source: kdesudo
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>> 7), cdbs, kdelibs5-dev, po-debconf, cmake
Standards-Version: 3.9.2
Homepage: https://launchpad.net/kdesudo
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kdesudo.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kdesudo.git

Package: kdesudo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sudo
Description: sudo frontend for KDE
 KdeSudo is a graphical frontend for the sudo utility, which allows
 users to run programs as root (or another user) by giving their own
 password.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 
-%:
-	dh --with kde $@
+include /usr/share/cdbs/1/rules/debhelper.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+include /usr/share/cdbs/1/class/cmake.mk
+
+clean::
+	debconf-updatepo
 
 get-orig-source::
 	@@dh_testdir

## kdesudo 3.4.2.4+repack

=== CMakeLists.txt ===
PROJECT(KDESUDO)

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(CheckIncludeFiles)
include(CheckFunctionExists)

include_directories(${KDE4_INCLUDES})

add_definitions(${KDE4_ENABLE_EXCEPTIONS} ${KDE4_DEFINITIONS})

ADD_SUBDIRECTORY(kdesudo)
ADD_SUBDIRECTORY(doc)

find_package(Gettext REQUIRED)
add_subdirectory( po )

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 ADD_CUSTOM_TARGET(doc ALL)
 
-ADD_SUBDIRECTORY(en)
 INSTALL(SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/makelink.cmake)
 
 ADD_SUBDIRECTORY(man)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -48,3 +48,21 @@
 macro_optional_add_subdirectory( uk )
 macro_optional_add_subdirectory( zh_CN )
 macro_optional_add_subdirectory( zh_TW )
+
+## Exported from Launchpad
+macro_optional_add_subdirectory( be )
+macro_optional_add_subdirectory( sl )
+macro_optional_add_subdirectory( ast )
+macro_optional_add_subdirectory( ga )
+macro_optional_add_subdirectory( te )
+macro_optional_add_subdirectory( ca )
+macro_optional_add_subdirectory( sr )
+macro_optional_add_subdirectory( bg )
+macro_optional_add_subdirectory( bs )
+macro_optional_add_subdirectory( ps )
+macro_optional_add_subdirectory( en_CA )
+macro_optional_add_subdirectory( eo )
+macro_optional_add_subdirectory( sq )
+macro_optional_add_subdirectory( km )
+macro_optional_add_subdirectory( en_AU )
+macro_optional_add_subdirectory( ug )

=== doc/man/CMakeLists.txt ===
SET(MANFILES 
    kdesudo.1)

INSTALL(FILES 
    ${MANFILES}
    DESTINATION share/man/man1)

=== po/ar/CMakeLists.txt ===
set(CURRENT_LANG ar )

macro_optional_add_subdirectory( messages )

=== po/ast/CMakeLists.txt ===
set(CURRENT_LANG ast )
macro_optional_add_subdirectory( messages )

=== po/be/CMakeLists.txt ===
set(CURRENT_LANG be )
macro_optional_add_subdirectory( messages )

=== po/bg/CMakeLists.txt ===
set(CURRENT_LANG bg )
macro_optional_add_subdirectory( messages )

=== po/bs/CMakeLists.txt ===
set(CURRENT_LANG bs )
macro_optional_add_subdirectory( messages )

=== po/ca/CMakeLists.txt ===
set(CURRENT_LANG ca )
macro_optional_add_subdirectory( messages )

=== po/cs/CMakeLists.txt ===
set(CURRENT_LANG cs )

macro_optional_add_subdirectory( messages )

=== po/da/CMakeLists.txt ===
set(CURRENT_LANG da )

macro_optional_add_subdirectory( messages )

=== debian/changelog ===
kdesudo (3.4.2.4+repack-2ubuntu4) trusty; urgency=low

  * Set X-Ubuntu-Use-Langpack: yes to get launchpad powered l10n.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 11 Dec 2013 11:57:24 +0100

kdesudo (3.4.2.4+repack-2ubuntu3) trusty; urgency=low

  * Add kubuntu_dont_use_kfatal.diff to avoid kfatal which results in
    stack traces, which is not nice and also pointless for kdesudo
    LP: #1250487

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 12 Nov 2013 16:10:39 +0100

kdesudo (3.4.2.4+repack-2ubuntu2) saucy; urgency=low

  * Repack with translations from Launchpad

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Oct 2013 23:36:12 +0200

kdesudo (3.4.2.4-2ubuntu1) raring; urgency=low

  * Merge with Debian
    - Use update-alternatives instead of dpkg-divert to override kdesu.
    - Remove debconf support.
    - Use kde debhelper addon instead of cdbs.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2012 16:26:28 +0000

kdesudo (3.4.2.4-1ubuntu1) precise; urgency=low

  * Merge with Debian
    - Use update-alternatives instead of dpkg-divert to override kdesu.
    - Remove debconf support.
    - Use kde debhelper addon instead of cdbs.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Dec 2011 15:41:03 +0000

kdesudo (3.4.2.3-2ubuntu3) natty; urgency=low

  * Fix encoding of non Latin-1 passwords. (LP: #400851)
    - Add fix_password_encoding.patch
  * Pass the sequence as the first parameter to dh.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sat, 29 Jan 2011 12:25:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: kdesudo
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>> 7), cdbs, kdelibs5-dev, po-debconf, cmake
+Build-Depends: debhelper (>> 7), kdelibs5-dev, cmake, pkg-kde-tools
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/kdesudo
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/kdesudo.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/kdesudo.git
+X-Ubuntu-Use-Langpack: yes
 
 Package: kdesudo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 
-include /usr/share/cdbs/1/rules/debhelper.mk
+#include /usr/share/cdbs/1/rules/debhelper.mk
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/class/cmake.mk
+#include /usr/share/cdbs/1/class/cmake.mk
 
-clean::
-	debconf-updatepo
+#clean::
+#	debconf-updatepo
+
+%:
+	dh $@ --with kde
 
 get-orig-source::
 	@@dh_testdir

=== debian/watch ===
version=3
https://launchpad.net/kdesudo/+download http://launchpad.net/kdesudo/.*/kdesudo-(.+).tar.gz
